
/* Inicio Creacion de views 
   Verificar: no se permiten utilizacion de select procedures desde views */

SET ECHO OFF;

/*
PARTIDO(IDE,F,ESTADO,HI,HF,CGEQL,CGEQV,...)
*/

CREATE VIEW V_PARTIDO_L(IDE,F,CGEQL) AS
   SELECT P.IDE, P.F, SUM(PJ.CG) 
   FROM T_PJ PJ INNER JOIN T_PARTIDO P  ON PJ.IDE = P.IDE AND PJ.F = P.F 
                INNER JOIN T_EQ      EQ ON EQ.IDE = P.IDE AND EQ.F = P.F 
   WHERE EQ.ROLEQ = 'L'
   GROUP BY P.IDE, P.F;

CREATE VIEW V_PARTIDO_V(IDE,F,CGEQV) AS
   SELECT P.IDE,P.F,SUM(PJ.CG)
   FROM T_PJ PJ INNER JOIN T_PARTIDO P  ON PJ.IDE = P.IDE AND PJ.F = P.F 
                INNER JOIN T_EQ      EQ ON EQ.IDE = P.IDE AND EQ.F = P.F 
   WHERE EQ.ROLEQ = 'V'
   GROUP BY P.IDE, P.F;

CREATE VIEW V_PARTIDO_LV(IDE,F,ESTADO,HI,HF,CGEQL,CGEQV) AS
   SELECT P.IDE,P.F,P.ESTADO,P.HI,P.HF,P1.CGEQL,P2.CGEQV
   FROM T_PARTIDO P INNER JOIN V_PARTIDO_L P1 ON P.IDE = P1.IDE AND P.F = P1.F
                    INNER JOIN V_PARTIDO_V P2 ON P.IDE = P2.IDE AND P.F = P2.F;

CREATE VIEW V_PARTIDO(IDE,F,ESTADO,HI,HF,CGEQL,CGEQV,SRESULTADO) AS
   SELECT P.IDE,P.F,P.ESTADO,P.HI,P.HF,P.CGEQL,P.CGEQV,CAST(P.CGEQL AS VARCHAR(3)) || '-' || CAST(P.CGEQV AS VARCHAR(3))
   FROM V_PARTIDO_LV P;

SHOW VIEWS;

SET ECHO ON;

/*  Fin Creacion de views */
